import { XYChart } from "./XYChart";
import { IEnumerable, Type } from "igniteui-react-core";
import { DomainType } from "./DomainType";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { AutoMarginsAndAngleUpdateMode } from "./AutoMarginsAndAngleUpdateMode";
import { AxisRangeBufferMode } from "./AxisRangeBufferMode";
import { BrushCollection } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { MarkerType } from "./MarkerType";
import { DataSeries } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected ur(): void;
    protected ut(a: Series, b: number): void;
    protected vi(a: string, b: any, c: any): void;
    private aiq;
    get ait(): number;
    set ait(a: number);
    private air;
    get aiu(): number;
    set aiu(a: number);
    private agt;
    get agv(): (time: number) => number;
    set agv(a: (time: number) => number);
    private agu;
    get agw(): (time: number) => number;
    set agw(a: (time: number) => number);
    ai0(): string;
    protected um(a: XamDataChart, b: any): void;
    protected us(a: Series, b: number): void;
    private agj;
    private agn;
    protected t3(): void;
    protected aeh(a: Axis): void;
    protected aef(a: Axis): void;
    protected get_b9(): DomainType;
    get b9(): DomainType;
    private agd;
    get age(): CategoryChartType;
    set age(a: CategoryChartType);
    private agf;
    get agg(): CategorySeriesMarkerCollisionAvoidance;
    set agg(a: CategorySeriesMarkerCollisionAvoidance);
    private agz;
    get aha(): boolean;
    set aha(a: boolean);
    private ag0;
    get ahb(): boolean;
    set ahb(a: boolean);
    private agh;
    get agi(): CategoryTransitionInMode;
    set agi(a: CategoryTransitionInMode);
    private agr;
    get ags(): TransitionInSpeedType;
    set ags(a: TransitionInSpeedType);
    private ahn;
    get aia(): number;
    set aia(a: number);
    private ahq;
    get aid(): number;
    set aid(a: number);
    private ahm;
    get ah9(): number;
    set ah9(a: number);
    private ahp;
    get aic(): number;
    set aic(a: number);
    private aho;
    get aib(): number;
    set aib(a: number);
    private ahr;
    get aie(): number;
    set aie(a: number);
    private ahx;
    get aim(): number;
    set aim(a: number);
    private af9;
    get aga(): AutoMarginsAndAngleUpdateMode;
    set aga(a: AutoMarginsAndAngleUpdateMode);
    private ag1;
    aj6(): void;
    get ahc(): boolean;
    set ahc(a: boolean);
    protected static readonly ai9: string;
    private ag2;
    get ahd(): boolean;
    set ahd(a: boolean);
    private ahk;
    get ah1(): number;
    set ah1(a: number);
    private ahl;
    get ah2(): number;
    set ah2(a: number);
    private ag6;
    get ahh(): boolean;
    set ahh(a: boolean);
    private static readonly ajg;
    private ag3;
    get ahe(): boolean;
    set ahe(a: boolean);
    private static readonly aju;
    private ag5;
    get ahg(): boolean;
    set ahg(a: boolean);
    private agb;
    get agc(): AxisRangeBufferMode;
    set agc(a: AxisRangeBufferMode);
    private ag7;
    get ahi(): boolean;
    set ahi(a: boolean);
    private ais;
    get aiv(): number;
    set aiv(a: number);
    private ahz;
    get aio(): number;
    set aio(a: number);
    private ahy;
    get ain(): number;
    set ain(a: number);
    private ah0;
    get aip(): number;
    set aip(a: number);
    get ah8(): number;
    get ah7(): number;
    ah4(): number;
    ah6(): number;
    ah3(): number;
    ah5(): number;
    get ail(): number;
    get aik(): number;
    private af5;
    get af7(): BrushCollection;
    set af7(a: BrushCollection);
    private af6;
    get af8(): BrushCollection;
    set af8(a: BrushCollection);
    private ag4;
    get ahf(): boolean;
    set ahf(a: boolean);
    private ahs;
    get aif(): number;
    set aif(a: number);
    private aht;
    get aig(): number;
    set aig(a: number);
    private ahu;
    get aih(): number;
    set aih(a: number);
    private ahv;
    get aii(): number;
    set aii(a: number);
    private ahw;
    get aij(): number;
    set aij(a: number);
    private agx;
    get ag8(): boolean;
    set ag8(a: boolean);
    private agy;
    get ag9(): boolean;
    set ag9(a: boolean);
    constructor();
    protected get_hs(): List$1<DataSeriesType>;
    protected get hs(): List$1<DataSeriesType>;
    private ahj;
    protected hy(): IEnumerable;
    protected cz(a: Series): MarkerType;
    protected c1(a: Series): MarkerType;
    protected get_hd(): boolean;
    private aj4;
    private aj5;
    protected v4(): void;
    private _xAxis;
    private get xAxis();
    private set xAxis(value);
    private _yAxis;
    private get yAxis();
    private set yAxis(value);
    private agm;
    private agl;
    protected bi(a: DataSeries): DataSeriesType;
    protected da(a: DataSeries, b: DataSeriesType): Series;
    protected v2(a: DataSeries): void;
    protected v5(): void;
    protected get_hr(): List$1<IDataSeriesAdapterRule>;
    protected get hr(): List$1<IDataSeriesAdapterRule>;
    protected tx(a: Series, b: number): void;
    private aj2;
    private aj3;
    protected y8(): Axis;
    protected y9(): Axis;
    private agp;
    private agq;
    protected ho(a: string, b: boolean): List$1<Series>;
    protected bd(): ComputedPlotAreaMarginMode;
    protected wa(a: Series, b: Series, c: DataSeries): void;
    protected gy(): boolean;
    protected get_g5(): boolean;
    protected vf(a: string, b: any, c: any): void;
}
